Subject: Re: bug#42406: Mouse-wheel scrolling can be flickering

From: Eli Zaretskii <[email-masked]>
Date: Tue, 15 Dec 2020 20:35:46 +0200

> Cc: [email-masked], [email-masked], [email-masked]
> From: martin rudalics <[email-masked]>
> Date: Tue, 15 Dec 2020 18:14:25 +0100
> 
>  > Sorry, no.  We will not remove those calls without a positive evidence
>  > that they are not needed.  It is not enough to say that someone
>  > doesn't see any adverse effects in his/her use patterns and Emacs
>  > customizations.
> 
> Agreed, obviously.  But updating the mode lines on all frames because a
> user scrolls a window is pure overkill.  So if all else fails, we could
> make such behavior optional.

Patches to make redisplay more fine grained will be welcome, of
course.  But they need careful analysis of which commands and
functions need what parts of the display be redrawn.